Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::action::take_while_fn Struct Reference

## Synopsis of methods
constexpr action< take_while_fn > | take_while {}

## Public Member Functions
template<typename Rng , typename Fun >
auto | operator() (Rng &&rng, Fun fun) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, iterator_t< Rng >, sentinel_t< Rng >> &&indirect_unary_predicate< Fun, iterator_t< Rng >>